Bug 1024973 - [abrt] mirall-1.4.1-1.fc19: __gmpz_clear: Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
[abrt] mirall-1.4.1-1.fc19: __gmpz_clear: Process /usr/bin/owncloud was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mirall (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
abrt_hash:c5bf684152467ecab3ef15f7f06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 13:02 EDT by Ian Watson
Modified: 2013-12-13 22:53 EST (History)
10 users (show)

See Also:
Fixed In Version: mirall-1.4.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:09:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.42 KB, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: core_backtrace (31.67 KB, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: dso_list (15.46 KB, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: environ (2.51 KB, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-30 13:02 EDT, Ian Watson
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-30 13:03 EDT, Ian Watson
no flags Details
File: maps (77.95 KB, text/plain)
2013-10-30 13:03 EDT, Ian Watson
no flags Details
File: open_fds (1.16 KB, text/plain)
2013-10-30 13:03 EDT, Ian Watson
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-10-30 13:03 EDT, Ian Watson
no flags Details
Patch to backport commit 14081a1 to 1.4.2 (4.18 KB, patch)
2013-11-14 07:12 EST, Manuel Faux
no flags Details | Diff

  None (edit)
Description Ian Watson 2013-10-30 13:02:38 EDT
Version-Release number of selected component:
mirall-1.4.1-1.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/owncloud
crash_function: __gmpz_clear
executable:     /usr/bin/owncloud
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1004
var_log_messages: Oct 30 16:42:35 rb11 abrt[10736]: Saved core dump of pid 10288 (/usr/bin/owncloud) to /var/tmp/abrt/ccpp-2013-10-30-16:42:34-10288 (83787776 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __gmpz_clear at ../../mpz/clear.c:28
 #1 mp_clear_multi at multi.c:38
 #2 ecc_del_point at ecc_points.c:62
 #3 _ecc_wmnaf_cache_entry_free at ecc_mulmod_cached.c:55
 #4 ecc_wmnaf_cache_free at ecc_mulmod_cached.c:70
 #5 gnutls_crypto_deinit at init.c:44
 #6 gnutls_global_deinit at gnutls_global.c:304
 #7 ne__ssl_exit at ne_gnutls.c:1433
 #8 ne_sock_exit at ne_socket.c:372
 #9 owncloud_commit at /usr/src/debug/ocsync-0.90.2/modules/csync_owncloud.c:1752

Potential duplicate: bug 1022847
Comment 1 Ian Watson 2013-10-30 13:02:41 EDT
Created attachment 817522 [details]
File: backtrace
Comment 2 Ian Watson 2013-10-30 13:02:44 EDT
Created attachment 817523 [details]
File: cgroup
Comment 3 Ian Watson 2013-10-30 13:02:47 EDT
Created attachment 817524 [details]
File: core_backtrace
Comment 4 Ian Watson 2013-10-30 13:02:50 EDT
Created attachment 817525 [details]
File: dso_list
Comment 5 Ian Watson 2013-10-30 13:02:54 EDT
Created attachment 817526 [details]
File: environ
Comment 6 Ian Watson 2013-10-30 13:02:57 EDT
Created attachment 817527 [details]
File: exploitable
Comment 7 Ian Watson 2013-10-30 13:03:00 EDT
Created attachment 817528 [details]
File: limits
Comment 8 Ian Watson 2013-10-30 13:03:04 EDT
Created attachment 817529 [details]
File: maps
Comment 9 Ian Watson 2013-10-30 13:03:07 EDT
Created attachment 817530 [details]
File: open_fds
Comment 10 Ian Watson 2013-10-30 13:03:10 EDT
Created attachment 817531 [details]
File: proc_pid_status
Comment 11 Patrick C. F. Ernzer 2013-11-02 13:09:42 EDT
put new files in the folder synchronised with the desktop sync client, a short while later it crashed

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/owncloud -session 1028622b2541e2000138040420900000092220007_1383039904_184508
crash_function: __gmpz_clear
executable:     /usr/bin/owncloud
kernel:         3.11.6-200.fc19.x86_64
package:        mirall-1.4.1-1.fc19
reason:         Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 arthur 2013-11-03 08:27:26 EST
Crash at startup
Comment 13 Ian Watson 2013-11-03 16:19:41 EST
Have updated to mirall-1.4.2-1.fc19.x86_64, owncloud-csync-libs-0.90.4-1.fc19.x86_64

Run owncloud. Performed a sync. Stable after 3 mins - usually crahsed after ~30seconds. Copy a file within sync area. It uploads then crashed after completing sync. Another machine then picked up the new sync'd file. owncloud again crashed after updating. Also running fc19 64bit.

Running under KDE.
Note my owncloud server is,
owncloud 5.0.11-028
running on NAS server synology DS213 (ARM processor based not that should matter).
Perhaps this relates to difference between 4.5 and 5.0 own cloud server?

Related bug 1010740, filed by other crashes from me.

[  275.489664] QThread[2720]: segfault at 3d ip 000000345268043c sp 00007ff955e014a8 error 4 in libc-2.17.so[3452600000+1b6000]
[  339.302298] QThread[2893]: segfault at 5d ip 000000345268043c sp 00007f7ca37fd4a8 error 4 in libc-2.17.so[3452600000+1b6000]
[  962.652219] traps: QThread[3156] general protection ip:3475c15e20 sp:7f7f92b844a8 error:0 in libgmp.so.10.1.1[3475c00000+6d000]
Comment 15 Joseph Marrero 2013-11-12 09:39:14 EST
I will create a package this night containing the patch. The system will let you know when you guys can test it. Thank you for all reports.
Comment 16 Manuel Faux 2013-11-14 07:12:12 EST
Created attachment 823910 [details]
Patch to backport commit 14081a1 to 1.4.2

Since the proposed fixing commit 14081a1 depends on some pre-v1.4.2 code, I created a patch to backport the commit to v.1.4.2.

I could not test the outcome of the commit itself very deep, but for me it seems like the segfault does not occur anymore.
Comment 17 Manuel Faux 2013-11-14 07:30:15 EST
(In reply to Manuel Faux from comment #16)
> Since the proposed fixing commit 14081a1 depends on some pre-v1.4.2 code, I
> created a patch to backport the commit to v.1.4.2.

Of cause I meant post-v1.4.2 code.

If someone wants to test it:
http://copr-fe.cloud.fedoraproject.org/coprs/faux/mirall/
Comment 18 Arjen Heidinga 2013-11-14 07:44:08 EST
I am testing it. It seems stable so far. I can not be sure just yet. After the sync has been completed it used to crash. I will update when the sync is completed.
Comment 19 Arjen Heidinga 2013-11-14 10:11:16 EST
I have not yet made it kaput. Seems stable.
Comment 20 Manuel Faux 2013-11-14 10:19:21 EST
My client also runs stable since I posted the patch. Synced several times and still up and running.

Hope Joseph can build a package soon, to push it to the official repo asap.
Comment 21 Joseph Marrero 2013-11-14 10:41:27 EST
Sorry for my super delay, I am in the middle of a batch of testings and projects from my University(all the professors seem to confabulate and give the assignments at the same time as always).

Thank you very much for creating the package I will do my best to push it to the official repos this afternoon/night when I get home.

Again sorry for the delay.
Comment 22 Fedora Update System 2013-11-14 21:13:26 EST
mirall-1.4.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc19
Comment 23 Fedora Update System 2013-11-14 21:13:56 EST
mirall-1.4.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc18
Comment 24 Fedora Update System 2013-11-14 21:14:22 EST
mirall-1.4.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mirall-1.4.2-3.fc20
Comment 25 Samuel Sieb 2013-11-15 01:40:18 EST
It hasn't crashed yet.  For some reason it downloaded all the files again the first time I started it up.  However, the icon has disappeared so I have no idea what it is doing now...  I guess I'll kill it and start it again.
Comment 26 Chris Bell 2013-11-15 10:42:10 EST
Problem still exists in mirall-1.4.2-3.fc19. It segfaults within a minute of starting.
Comment 27 Chris Bell 2013-11-15 10:54:24 EST
(In reply to Chris from comment #26)
> Problem still exists in mirall-1.4.2-3.fc19. It segfaults within a minute of
> starting.

I apologize; ignore me. I misread my version number. I do not yet have the current update, so my tests are irrelevant.
Comment 28 Samuel Sieb 2013-11-15 11:34:15 EST
My last comment must have just been a random issue with my system.  The client has been running all night now with no crashes.
Comment 29 Chris Bell 2013-11-15 11:39:18 EST
(In reply to Samuel Sieb from comment #28)
> My last comment must have just been a random issue with my system.  The
> client has been running all night now with no crashes.

I concur; after installing the correct packages, I too see stability in the application.
Comment 30 Fedora Update System 2013-11-16 01:55:50 EST
Package mirall-1.4.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mirall-1.4.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21438/mirall-1.4.2-3.fc18
then log in and leave karma (feedback).
Comment 31 Fedora Update System 2013-11-16 02:09:02 EST
mirall-1.4.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2013-12-01 04:33:34 EST
mirall-1.4.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2013-12-13 22:53:25 EST
mirall-1.4.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.